Bug 208046 - Symbol link libxml2.so is lost in /usr/lib64
Symbol link libxml2.so is lost in /usr/lib64
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
6
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 21:52 EDT by Yao Qi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 23:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yao Qi 2006-09-25 21:52:29 EDT
Description of problem:
When we build 64-bit applications on ppc64, it fails,

/usr/bin/ld: skipping incompatible /usr/lib/libxml2.so when searching for -lxml2
/usr/bin/ld: skipping incompatible /usr/lib/libxml2.a when searching for -lxml2
/usr/bin/ld: cannot find -lxml2

There is a symbol link libxml2.so in /usr/lib, and the similar symbol link could
not be found in /usr/lib64/
Comment 1 Daniel Veillard 2006-09-26 03:57:00 EDT
Please check the libxml2 and libxml2-devel packages first, and report the
output of:
rpm -q libxml2 libxml2-devel
rpm -V libxml2 libxml2-devel

Daniel
Comment 2 Yao Qi 2006-09-26 23:30:19 EDT
It seems that libxml2-devel for ppc64 is installed in default.

If I install libxml2-devel-2.6.26-2.1.1.ppc64.rpm, no such problem above anymore.
Comment 3 Daniel Veillard 2006-09-27 04:04:04 EDT
Okay, this was strange, if libxml2 devel package has a problem a very large
set of other packages would just break at compilation so it was looking unlikely.

Daniel

Note You need to log in before you can comment on or make changes to this bug.